On this page
No Headings
Last updated: June 16, 2026
Important: PayPal Here is deprecated. PayPal doesn't accept new integrations but continues to support existing integrations.
Perform this check at any time to determine whether or not a merchant has already enabled PayPal Here.
Note: It is recommended that partners implement the status check immediately after the permissions flow. If the status check fails, send the merchant through the registration process.
To complete this check, take the access token generated in the permissions guide and call the /statusendpoint.
Choose your programming language:
curl -X GET https://api-m.sandbox.paypal.com/retail/merchant/v1/status
-H 'authorization: Bearer {access_token_of_merchant}'
-H 'content-type: application/json'Response from the call to the /status endpoint:
{
"status": "ready",
"paymentTypes": [
"tab",
"key",
"card"
],
....
}A successful response will include:
status fieldpaymentTypes objectMake sure that the status is ready and the paymentTypes object includes either card for the US or chip for the UK and AU. The combination of those values in the response indicates that your merchant has enabled PayPal Here on their business account and is ready for processing.
status is not ready or the payment types of card or chip are not present, you must send the merchant through the registration process for their respective region.